### Signal

# Phosh DBusEndSessionDialog::confirmed-suspend

#### Declaration

    void
    confirmed_suspend (
      PhoshDBusEndSessionDialog* self,
      gpointer user_data
    )

#### Description [src]

On the client-side, this signal is emitted whenever the D-Bus signal “ConfirmedSuspend” is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.